# quala

Quala implements different accelerators for optimization
solvers, root finders and fixed-point methods, such as Broyden-type quasi-Newton
methods and Anderson acceleration.

The algorithms are implemented in C++, and are available through a Python 
interface.

## Installation

The Python interface can be installed from [PyPI](https://pypi.org/project/quala)
using `pip`:
```sh
python3 -m pip install quala
```

Installation instructions for the C++ library can be found in the 
[documentation](https://tttapa.github.io/quala/main/Doxygen/installation.html).

## Examples and documentation

- [Python Documentation (Sphinx)](https://tttapa.github.io/quala/main/Sphinx/)
- [C++ Documentation (Doxygen)](https://tttapa.github.io/quala/main/Doxygen/)
- [Python Examples (Sphinx)](https://tttapa.github.io/quala/main/Sphinx/examples/)
- [C++ Examples (Doxygen)](https://tttapa.github.io/quala/main/Doxygen/examples.html)
